/**
 * @author F. Mallet
 *
 * MVC : Le modle
 */
import java.util.ArrayList;

public class Compteur implements ICompteur {
  protected int etat;
  
  public Compteur(int etat) {
    this.etat = etat;
  }
  public int getEtat() {
    return this.etat;
  }
  
  public void incrementer() {
    this.etat += 1;
    for(ICompteurListener cl : ecouteurs)
        cl.miseAJour();
  }
  
  private ArrayList<ICompteurListener> ecouteurs = new ArrayList<ICompteurListener>();
  void addCompteurListener(ICompteurListener cl) {
      ecouteurs.add(cl);
  }
}
